Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.logical
Class LogicalMultiAnd

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.logical.LogicalOperator
                        |
                        +--com.bea.p13n.expression.operator.logical.LogicalMultiAnd

public final class LogicalMultiAnd
extends LogicalOperator

Implementation of the LogicalMultiAnd operator. This operator allows an array of operands to be ANDed together. Each operand should either be a Boolean or an Expression which evaluates to a Boolean.
Input 1-N: A Boolean (or Expression returning a Boolean).
Returns: A Boolean( IN(1) && IN(2) && IN(3) etc. ).

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.expression.operator.logical.LogicalOperator
`BINARY_PARAMETER_SIGNATURE, UNARY_PARAMETER_SIGNATURE`

Constructor Summary
`LogicalMultiAnd()` Constructs an empty operator and operands can be added later by calling addSubExpression() on this.
`LogicalMultiAnd(java.lang.Object[] andArray)` Constructs a LogicalMultiAnd operator by storing the given array of parameters as its operands.

Method Summary
`java.lang.Class[]` | `getParameterSignature()`

Methods inherited from class com.bea.p13n.expression.operator.logical.LogicalOperator
`updateParameterSignature`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogicalMultiAnd

    public LogicalMultiAnd()

  Constructs an empty operator and operands can be added later by calling addSubExpression() on this.

### LogicalMultiAnd

    public LogicalMultiAnd(java.lang.Object[] andArray)

  Constructs a LogicalMultiAnd operator by storing the given array of parameters as its operands.

  Parameters:
    `andArray` - An `Object` array.

Method Detail

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved